PLplot: PLMemoryMap Class Reference

PLplot 5.15.0

Public Member Functions | Private Attributes | List of all members
PLMemoryMap Class Reference

`#include "wxwidgets_comms.h"`

## Public Member Functions
| PLMemoryMap ()
| PLMemoryMap (const char *name, PLINT size, bool mustExist, bool mustNotExist)
void | create (const char *name, PLINT size, bool mustExist, bool mustNotExist)
void | close ()
| ~PLMemoryMap ()
bool | isValid ()
char * | getBuffer ()
size_t | getSize ()

## Private Attributes
int | m_mapFile
char * | m_name
size_t | m_size
void * | m_buffer

## Detailed Description

Definition at line 182 of file wxwidgets_comms.h.

## Constructor & Destructor Documentation

## ◆ PLMemoryMap() [1/2]

PLMemoryMap::PLMemoryMap | ( |  | ) |

Definition at line 329 of file wxwidgets_comms.cpp.

## ◆ PLMemoryMap() [2/2]

PLMemoryMap::PLMemoryMap | ( | const char * | name,
|  | PLINT | size,
|  | bool | mustExist,
|  | bool | mustNotExist
| ) |  |

Definition at line 346 of file wxwidgets_comms.cpp.

## ◆ ~PLMemoryMap()

PLMemoryMap::~PLMemoryMap | ( |  | ) |

Definition at line 650 of file wxwidgets_comms.cpp.

## Member Function Documentation

## ◆ close()

void PLMemoryMap::close | ( |  | ) |

Definition at line 618 of file wxwidgets_comms.cpp.

## ◆ create()

void PLMemoryMap::create | ( | const char * | name,
|  | PLINT | size,
|  | bool | mustExist,
|  | bool | mustNotExist
| ) |  |

Definition at line 367 of file wxwidgets_comms.cpp.

## ◆ getBuffer()

char* PLMemoryMap::getBuffer | ( |  | ) |
| inline

Definition at line 200 of file wxwidgets_comms.h.

## ◆ getSize()

size_t PLMemoryMap::getSize | ( |  | ) |
| inline

Definition at line 201 of file wxwidgets_comms.h.

## ◆ isValid()

bool PLMemoryMap::isValid | ( |  | ) |
| inline

Definition at line 190 of file wxwidgets_comms.h.

## Member Data Documentation

## ◆ m_buffer

void* PLMemoryMap::m_buffer
| private

Definition at line 217 of file wxwidgets_comms.h.

## ◆ m_mapFile

int PLMemoryMap::m_mapFile
| private

Definition at line 207 of file wxwidgets_comms.h.

## ◆ m_name

char* PLMemoryMap::m_name
| private

Definition at line 208 of file wxwidgets_comms.h.

## ◆ m_size

size_t PLMemoryMap::m_size
| private

Definition at line 216 of file wxwidgets_comms.h.

The documentation for this class was generated from the following files:

- wxwidgets_comms.h
- wxwidgets_comms.cpp